colors = "white, orange, magenta, light_blue, yellow, lime, pink, gray, light_gray, cyan, purple, blue, brown, green, red, black".split(", ")
woods = "oak, spruce, birch, jungle, acacia, dark_oak, crimson, warped".split(", ")
ores = "wooden, stone, iron, golden, diamond".split(", ")
oreitems = {"wooden":"planks", "stone":"stones", "iron":"iron_ingot", "golden":"gold_ingot", "diamond":"diamond"}

def makeFile(name,data):
    if not name.endswith(".json"): name=name+".json"
    savefile = open(name,"w",encoding="utf8")
    savefile.write(data)
    savefile.close()

item = "pickaxe"
for ore in ores:
    makeFile(ore+"_"+item+"_diagonal",'''
{
    "type": "minecraft:crafting_shaped",
    "pattern": [
        " ##",
        " S#",
        "S  "
    ],
    "key": {
        "#": {
            "tag": "more_tags:'''+oreitems[ore]+'''"
        },
        "S": {
            "tag": "more_tags:sticks"
        }
    },
    "result": {
        "item": "minecraft:'''+ore+'''_'''+item+'''",
        "count": 1
    },
    "group": "universal_'''+(ore[:-2] if ore.endswith("en") else ore)+'''"
}
''')
